Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Catchable fatal error: Argument 3 passed to Horde_Imap_Client_Exception_ServerResponse::__construct() must be an instance of Horde_Imap_Client_Interaction_Server #3

Closed
codebykat opened this Issue Sep 18, 2013 · 7 comments

Comments

Projects
None yet
3 participants
Owner

codebykat commented Sep 18, 2013

Reported via blog comment:

Sent a test email and clicked "Check Now" on activity log. The result which may well be related to some mistake I made in cofiguration was:

Catchable fatal error: Argument 3 passed to Horde_Imap_Client_Exception_ServerResponse::__construct() must be an instance of Horde_Imap_Client_Interaction_Server, string given, called in /home/icklnorg/public_html/wordpress3/wp-content/plugins/post-by-email/include/Horde/Imap/Client/Socket/Pop3.php on line 1179 and defined in /home/icklnorg/public_html/wordpress3/wp-content/plugins/post-by-email/include/Horde/Imap/Client/Exception/ServerResponse.php on line 55

codebykat pushed a commit that referenced this issue Sep 21, 2013

Fixes bug where wrong arguments were being passed to Horde_Imap_Clien…
…t_Exception_ServerResponse::__construct() (Github issue #3)


#3

git-svn-id: http://gsoc.svn.wordpress.org/2013/codebykat/post-by-email/trunk@2336 f69abe3c-2ee2-4550-9a6d-17bd458115be

@codebykat codebykat closed this Sep 21, 2013

vbk commented Feb 2, 2014

Hello,

Getting an error:

"Catchable fatal error: Argument 3 passed to Horde_Imap_Client_Exception_ServerResponse::__construct() must be an instance of Horde_Imap_Client_Interaction_Server, integer given, called in/public_html/wp-content/plugins/post-by-email/include/Horde/Imap/Client/Socket.php on line 3946 and defined in /public_html/wp-content/plugins/post-by-email/include/Horde/Imap/Client/Exception/ServerResponse.php on line 55 "

No posts gets posted. I see this error when trying to check "logs". screenshot-http://i.imgur.com/C6uXPZt.png

Chosen type is imap ssl.

Hope you check!

Owner

codebykat commented Feb 3, 2014

Hi @vbk,

What version of PHP are you using? Similar errors have popped up for folks using PHP 5.2. I'm working on a fix for the next version, but it's hard, PHP 5.2 has a lot of incompatibilities with the later versions. Can you upgrade to PHP 5.3 or 5.4 and let me know if that solves the problem?

Contributor

barryceelen commented Feb 28, 2014

I'm seeing the same error when the password either contains an angle bracket (<or >), or if I provide an incorrect password.

Owner

codebykat commented Feb 28, 2014

Thanks @barryceelen -- that's good info. What version of PHP is that on?

Contributor

barryceelen commented Mar 1, 2014

PHP version 5.3.19, WordPress 3.9-alpha-27234.

Owner

codebykat commented Mar 1, 2014

Argh, that's the first one I've seen on PHP 5.3. 😢 Added to the list.

vbk commented Mar 6, 2014

Sorry for the delay. My PHP version is 5.4

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment